'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);

var Choose = function Choose(_ref) {
  var children = _ref.children;

  var arrayOfChildren = React.Children.toArray(children);

  var allowedChildren = arrayOfChildren.filter(function (child) {
    return child.type.name === 'When';
  });

  // if (allowedChildren.length === 0) {
  //   throw new Error(`You must have at least one
  //     <When condition={/* your condition */>}/> statement
  //     when you use the <Choose/>`)
  // }

  var otherwise = arrayOfChildren.find(function (child) {
    return child.type.name === 'Otherwise';
  });

  if (otherwise && allowedChildren.every(function (child) {
    return !child.props.condition;
  })) return otherwise;

  return allowedChildren.map(function (child) {
    return child;
  });
};

var If = function If(_ref) {
  var children = _ref.children,
      condition = _ref.condition;
  return condition ? children : false;
};

var Otherwise = function Otherwise(_ref) {
  var children = _ref.children;
  return children;
};

var When = function When(_ref) {
  var children = _ref.children,
      condition = _ref.condition;

  return React__default.createElement(
    If,
    { condition: condition },
    children
  );
};

exports.Choose = Choose;
exports.If = If;
exports.Otherwise = Otherwise;
exports.When = When;
//# sourceMappingURL=index.js.map
